#include <gtk/gtk.h>
#include <gdk/gdk.h>
#include <gdk/gdkx.h>

#define MWM_HINTS_DECORATIONS         (1L << 1)
typedef struct _mwmhints
{
    unsigned long flags;
    unsigned long functions;
    unsigned long decorations;
    long inputMode;
    unsigned long status;
}
MWMHints;


extern Window topxwin;
extern GtkWidget *window;
extern Atom atoms[];


#define MAX_TASK_WIDTH 150
#define TASK_PADDING 0
#define PANEL_HEIGHT 24
#define PANEL_BORDER 1

#define LAUNCH_ICON_FILE "launch.png"


char **get_textproperty(Window win, Atom prop, int *nitems);
void *get_xaproperty (Window win, Atom prop, Atom type, int *nitems);